﻿using UnityEngine;
using System.Collections;

public class Room : MonoBehaviour {

	// Animator (visual effects)
	private Animator m_animator;

	private static string ANIMATION_ROOM_SELECTION_SELECT_SUCCESS = "Room_select_success";
	private static string ANIMATION_ROOM_SELECTION_SELECT_FAILURE = "Room_select_fail";

	void Awake()
	{
	}

	// Use this for initialization
	void Start () {
		m_animator = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	// Callback when a room is selected successfully
	public void OnSelectionSuccess()
	{
		if (m_animator)
		{
			m_animator.SetTrigger(ANIMATION_ROOM_SELECTION_SELECT_SUCCESS);
		}
	}

	// Callback when a room is could not be selected
	public void OnSelectionFailed()
	{
		if (m_animator)
		{
			m_animator.SetTrigger(ANIMATION_ROOM_SELECTION_SELECT_FAILURE);
		}
	}

}
