﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class ObjectUseable : MonoBehaviour {

	[SerializeField]
	ObstacleType m_obstacleType = ObstacleType.E_Undefined;

	// Use this for initialization
	void Start()
	{
		enabled = false;
	}
	
	// Update is called once per frame
	void Update()
	{
	}

	public bool canBeUsedAgainst(GroupPathObstacle obstacle)
	{
		System.Diagnostics.Debug.Assert(m_obstacleType != ObstacleType.E_Undefined);
		System.Diagnostics.Debug.Assert(obstacle.m_obstacleType != ObstacleType.E_Undefined);

		return (obstacle.m_obstacleType == m_obstacleType);
	}
}